<?php
error_reporting(E_WARNING);
require_once("../funcoes.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Kleiner Schein</title>


<?php

    $Ds_Separador_Linha = "\n";
    $Ds_Separador_Coluna = ",";
    $Ds_Caracter_Encapsular = '"';
    $Ds_Caracter_Escape = "\\";

    $Colunas = array("title", "description", "category", "link", "image_link", "price", "condition", "display_order", "availability", "id", "brand", "mpn", "google_product_category", "additional_image_link");
    $Nr_Colunas = count($Colunas);

    $Ds_Linha_CSV = '';

    for ( $i = 0; $i < $Nr_Colunas; $i++ )
    {
        $Ds_Linha_CSV .= $Colunas[$i] . $Ds_Separador_Coluna;
    } // end for

    //$Ds_Saida = trim( substr( $Ds_Linha_CSV, 0, -1 ) );
    //$Ds_Saida .= $Ds_Separador_Linha;

    $Ds_Linha_CSV .= $Ds_Separador_Linha;

    $produto2 = mysql_query("SELECT * FROM tb_produto WHERE status = 1 AND preco <> '0.00'");
    echo mysql_error();

    while($produto = mysql_fetch_array($produto2)){

            $codp   =   $produto['cod'];

            if($produto['preco_promocional'] <> "0.00"){ $precop     =   $produto['preco_promocional']; } else { $precop =$produto['preco']; }

            $selectf = mysql_query("SELECT * FROM tb_prod_fotos WHERE cod_prod = $codp ORDER BY cod ASC LIMIT 1");
            $sqlf   =   mysql_fetch_array($selectf);
            if(mysql_num_rows($selectf) > 0){
                $foto = "https://www.marseillearqdecor.com.br/images/produtos/secundarias/".$sqlf['imagem'];
            } else {
                $foto = "";
            }
            

            $Ds_Linha_CSV .= $Ds_Caracter_Encapsular.$produto['nome'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$produto['descricao_curta'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."Móveis e Decoração,".$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$produto['url_seo'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."https://www.marseillearqdecor.com.br/images/produtos/principal/".$produto['imagem_principal'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$precop.$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."new".$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."0".$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."In stock".$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$produto['cod'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$produto['fabricante'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$produto['sku'].$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular."Móveis e Decoração".$Ds_Caracter_Encapsular.
            ", ".$Ds_Caracter_Encapsular.$foto.$Ds_Caracter_Encapsular."\n";

            
    }

    $Ds_Saida .= $Ds_Linha_CSV;

    

    $Ds_Arquivo_Destino = "export.csv";
    // Grava o arquivo físico
        if ( !is_dir( dirname( $Ds_Arquivo_Destino ) ) )
        {
            mkdir( dirname( $Ds_Arquivo_Destino ), 0755, true );
        }

        $criarArquivo = (!is_file( $Ds_Arquivo_Destino ) );
        $objTxt = fopen( $Ds_Arquivo_Destino, "w" );
        if ( $criarArquivo)
        {
            //UTF-8
            fwrite( $objTxt, pack( "CCC", 0xef, 0xbb, 0xbf ) );
        }
        
        fwrite( $objTxt, $Ds_Saida );
        fclose( $objTxt );

?>



</body>
</html>